Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAZQ3

    java.lang.Object
      org.netlib.lapack.DLAZQ3

    public class DLAZQ3

extends java.lang.Object

    DLAZQ3 is a simplified interface to the JLAPACK routine dlazq3.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAZQ3 checks for deflation, computes a shift (TAU) and calls dqds.
     *  In case of failure it changes shifts, and tries again until output
     *  is positive.
     *
     *  Arguments
     *  =========
     *
     *  I0     (input) INTEGER
     *         First index.
     *
     *  N0     (input) INTEGER
     *         Last index.
     *
     *  Z      (input) DOUBLE PRECISION array, dimension ( 4*N )
     *         Z holds the qd array.
     *
     *  PP     (input) INTEGER
     *         PP=0 for ping, PP=1 for pong.
     *
     *  DMIN   (output) DOUBLE PRECISION
     *         Minimum value of d.
     *
     *  SIGMA  (output) DOUBLE PRECISION
     *         Sum of shifts used in current segment.
     *
     *  DESIG  (input/output) DOUBLE PRECISION
     *         Lower order part of SIGMA
     *
     *  QMAX   (input) DOUBLE PRECISION
     *         Maximum value of q.
     *
     *  NFAIL  (output) INTEGER
     *         Number of times shift was too big.
     *
     *  ITER   (output) INTEGER
     *         Number of iterations.
     *
     *  NDIV   (output) INTEGER
     *         Number of divisions.
     *
     *  IEEE   (input) LOGICAL
     *         Flag for IEEE or non IEEE arithmetic (passed to DLASQ5).
     *
     *  TTYPE  (input/output) INTEGER
     *         Shift type.  TTYPE is passed as an argument in order to save
     *         its value between calls to DLAZQ3
     *
     *  DMIN1  (input/output) REAL
     *  DMIN2  (input/output) REAL
     *  DN     (input/output) REAL
     *  DN1    (input/output) REAL
     *  DN2    (input/output) REAL
     *  TAU    (input/output) REAL
     *         These are passed as arguments in order to save their values
     *         between calls to DLAZQ3
     *
     *  This is a thread safe version of DLASQ3, which passes TTYPE, DMIN1,
     *  DMIN2, DN, DN1. DN2 and TAU through the argument list in place of
     *  declaring them in a SAVE statment.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAZQ3()`

Method Summary
`static void` | `DLAZQ3(int i0, intW n0, double[] z, int pp, doubleW dmin, doubleW sigma, doubleW desig, doubleW qmax, intW nfail, intW iter, intW ndiv, boolean ieee, intW ttype, doubleW dmin1, doubleW dmin2, doubleW dn, doubleW dn1, doubleW dn2, doubleW tau)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAZQ3

    public DLAZQ3()

Method Detail

### DLAZQ3

    public static void DLAZQ3(int i0,
                              intW n0,
                              double[] z,
                              int pp,
                              doubleW dmin,
                              doubleW sigma,
                              doubleW desig,
                              doubleW qmax,
                              intW nfail,
                              intW iter,
                              intW ndiv,
                              boolean ieee,
                              intW ttype,
                              doubleW dmin1,
                              doubleW dmin2,
                              doubleW dn,
                              doubleW dn1,
                              doubleW dn2,
                              doubleW tau)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD